# TODO
# - switch to qt5
%define		qtver	4.3.3-3
%define		smver	14.8.0
Summary:	smplayer - mplayer frontend
Summary(pl.UTF-8):	smplayer - nakładka na mplayera
Name:		smplayer
Version:	17.6.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
# Source0-md5:	8f200fa8e440ecb07b96307435284dc6
URL:		http://smplayer.sourceforge.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtXml-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.596
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	mplayer >= 3:1.0-5.rc2_svn27725.17
Suggests:	smtube
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMPlayer intends to be a complete front-end for MPlayer, from basic
features like playing videos, DVDs, and VCDs to more advanced features
like support for MPlayer filters and more.

One of the most interesting features of SMPlayer: it remembers the
settings of all files you play. So you start to watch a movie but you
have to leave... don't worry, when you open that movie again it will
resume at the same point you left it, and with the same settings:
audio track, subtitles, volume...

%description -l pl.UTF-8
SMPlayer stara się być kompletną nakładką na MPlayera, począwszy od
podstawowych funkcji jak odtwarzanie plików video, DVD i VCD kończąc
na bardziej zaawansowanych opcjach jak obsługa filtrów MPlayera oraz
wiele więcej.

Jedną z najciekawszych funkcji SMPlayera jest to, że zapamiętuje
ustawienia wszystkich plików jakie odgrywasz. Zaczynasz oglądać film,
ale musisz wyjść... nie martw się, kiedy odtworzysz film ponownie
zacznie od momentu, w którym go wyłączyłeś i z tymi samymi
ustawieniami jak: ścieżka dźwiękowa, napisy, głośność...

%prep
%setup -q

# skip docs install
%{__sed} -i -e '/DOC_PATH/d' Makefile src/smplayer.pro

# skip manpage compress
%{__sed} -i -e '/gzip/d' Makefile

# skip build rule on install
%{__sed} -i -e 's,install: src/smplayer,install:,' Makefile

# disable debug on console on unix too
%{__sed} -i -e '/NO_DEBUG_ON_CONSOLE/s,#DEFINES,DEFINES,' src/smplayer.pro

%build
%{__make} \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt4 \
	LRELEASE=lrelease-qt4

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/smplayer/themes
%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog Not_so_obvious_things.txt Readme.txt Release_notes.txt
%attr(755,root,root) %{_bindir}/simple_web_server
%attr(755,root,root) %{_bindir}/smplayer
%{_mandir}/man1/smplayer.1*
%{_desktopdir}/smplayer.desktop
%{_desktopdir}/smplayer_enqueue.desktop
%{_iconsdir}/hicolor/*/apps/smplayer.png
%{_iconsdir}/hicolor/*/apps/smplayer.svg
%dir %{_datadir}/smplayer
%{_datadir}/smplayer/input.conf
%dir %{_datadir}/smplayer/shortcuts
%{_datadir}/smplayer/shortcuts/default.keys
%{_datadir}/smplayer/shortcuts/euskara.keys
%{_datadir}/smplayer/shortcuts/vlc.keys
%dir %{_datadir}/smplayer/themes
%dir %{_datadir}/smplayer/translations
%changelog
* Sun Jun 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smplayer.git;a=log;h=master

* Sun Jun 25 2017 Elan Ruusamäe <glen@pld-linux.org> e971d96
- up to 17.6.0

* Sat Apr 01 2017 Elan Ruusamäe <glen@delfi.ee> a2ee691
- up to 17.3.0

* Fri Oct 14 2016 Grzegorz Pycia <gzohop@pld-linux.org> 194a83f
- up to 16.9.0

* Mon Aug 29 2016 Elan Ruusamäe <glen@delfi.ee> d638455
- up to 16.8.0; update desktop integration

* Mon Jan 18 2016 Elan Ruusamäe <glen@delfi.ee> 99350a2
- up to 16.1.0

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 465014d
- revise BR using cleanbuild

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 1d09956
- use find-lang to package translations

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 91cee26
- smtube is separate project now

* Fri Jan 01 2016 Elan Ruusamäe <glen@delfi.ee> 5927c73
- up to 15.11.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 1a1e59c
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 04 2014 Lukasz Glebicki <blekot@pld-linux.org> a446099
- updated to 14.9.0
- smtube updated to 14.8.0

* Wed Apr 09 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 5233115
- up to 14.3.0

* Mon Aug 19 2013 Elan Ruusamäe <glen@delfi.ee> eba1d67
- up to 0.8.6

* Tue May 14 2013 Grzegorz Pycia <gzohop@pld-linux.org> 8ae1e9a
- up to 0.8.5

* Tue May 07 2013 Elan Ruusamäe <glen@delfi.ee> 7250ed7
- update smtube to 1.7

* Tue May 07 2013 Elan Ruusamäe <glen@delfi.ee> 5c66348
- up to 0.8.4

* Sun Dec 30 2012 Grzegorz Pycia <gzohop@pld-linux.org> 33cf81a
- up to 0.8.3
smtube up 1.5

* Sat Dec 08 2012 Elan Ruusamäe <glen@delfi.ee> 0175c87
- up to 0.8.2

* Wed May 09 2012 blekot <blekot@pld-linux.org> 8721cc2
- up to 0.8.0
- smtube up to 1.1

* Fri Mar 09 2012 blekot <blekot@pld-linux.org> 4a15cd1
- added missed dir (thx Pluto)
- rel 3

